SDL_GetGPUTextureFormatFromPixelFormat(3)

NAME
SDL_GetGPUTextureFormatFromPixelFormat - Get the GPU texture format corresponding to an SDL pixel format.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

SDL_GPUTextureFormat SDL_GetGPUTextureFormatFromPixelFormat(SDL_PixelFormat format);

FUNCTION PARAMETERS

format
    a pixel format.

RETURN VALUE
Returns the corresponding GPU texture format, or SDL_GPU_TEXTUREFORMAT_INVALID if there is no corresponding GPU texture format.

AVAILABILITY
This function is available since SDL 3.4.0.